Subject: Re: [PATCH RFC 2/3] rust: implement a test balloon via the "varint" subsystem

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 5 Sep 2025 09:54:05 +0200

On Thu, Sep 04, 2025 at 10:00:45PM -0400, Eli Schwartz wrote:
> On 9/4/25 7:39 PM, Ezekiel Newren wrote:
> > On Thu, Sep 4, 2025 at 8:27 AM Patrick Steinhardt <[email-masked]> wrote:
> >> Implement a trivial test balloon for our Rust build infrastructure by
> >> reimplementing the "varint.c" subsystem in Rust. This subsystem is
> >> chosen because it is trivial to convert and because it doesn't have any
> >> dependencies to other components of Git.
> > 
> > Huh, I thought Meson couldn't run Rust tests. It's refreshing to see
> > someone else try a different approach on bringing Rust to Git.
> > 
> > There are a few reasons why I picked Cargo instead of Meson to build Rust:
> >   1. Needs to work with make.
> 
> 
> If the rust code is defined as a crate, meson can auto-import that crate
> via parsing Cargo.toml, so perhaps this can simply be done by creating a
> 
> [lib]
> crate-type = 'cdylib'
> 
> and... importing it as a meson subproject. You'd be able to build it
> with cargo build, if you really want to (and the Makefile may have to)
> but Meson would not be limited to this.

That sounds like a sensible thing to do. Just to clarify, this doesn't
need the experimental Cargo wraps, right? Is there any documentation for
how to set this up?

Patrick